<?php defined('BASEPATH') or exit('No direct script access allowed'); 

$styles = explode(';', get_option('livesmart_button_style'));
foreach ($styles as $style) {
	$def = explode(':', trim($style));
	$x = $def[0];
	$$x = trim($def[1]);
}

?>
<div role="tabpanel" class="tab-pane" id="livesmart">
	<?php echo render_input('settings[livesmart_url]', 'settings_livesmart_url', get_option('livesmart_url')); ?>
	<?php render_yes_no_option('livesmart_enabled','livesmart_enabled'); ?>
	<hr />
	<div class="form-group">
		<label for="livesmart_button_position" class="control-label"><?php echo _l('livesmart_button_position'); ?></label>
		<select name="livesmart_button_position" id="livesmart_button_position" class="selectpicker" data-width="100%" data-none-selected-text="<?php echo _l('dropdown_non_selected_tex'); ?>">
			<option value="fixed" <?php if($position == 'fixed'){echo 'selected'; }?>><?php echo _l('livesmart_fixed'); ?></option>
			<option value="absolute" <?php if($position == 'absolute'){echo 'selected'; }?>><?php echo _l('livesmart_absolute'); ?></option>
		</select>
	</div>
	<hr />
	<div class="form-group">
		<label for="livesmart_button_css" class="control-label"><?php echo _l('livesmart_button_css'); ?></label>
		<select name="settings[livesmart_button_css]" id="livesmart_button_css" class="selectpicker" data-width="100%" data-none-selected-text="<?php echo _l('dropdown_non_selected_tex'); ?>">
			<option value="button_gray.css" <?php if(get_option('livesmart_button_css') == 'button_gray.css'){echo 'selected'; }?>><?php echo _l('livesmart_gray'); ?></option>
			<option value="button_green.css" <?php if(get_option('livesmart_button_css') == 'button_green.css'){echo 'selected'; }?>><?php echo _l('livesmart_green'); ?></option>
			<option value="button_blue.css" <?php if(get_option('livesmart_button_css') == 'button_blue.css'){echo 'selected'; }?>><?php echo _l('livesmart_blue'); ?></option>
			<option value="button_lightgray.css" <?php if(get_option('livesmart_button_css') == 'button_lightgray.css'){echo 'selected'; }?>><?php echo _l('livesmart_lightgray'); ?></option>
			<option value="button_lightred.css" <?php if(get_option('livesmart_button_css') == 'button_lightred.css'){echo 'selected'; }?>><?php echo _l('livesmart_lightred'); ?></option>
			<option value="button_orange.css" <?php if(get_option('livesmart_button_css') == 'button_orange.css'){echo 'selected'; }?>><?php echo _l('livesmart_orange'); ?></option>
		</select>
	</div>
	<hr />
	<div class="form-group">
		<div class="row">
			<div class="col-md-4">
				<label for="button_position_vertical" class="control-label"><?php echo _l('livesmart_vertical'); ?></label>
				<br/>
				<div class="radio radio-inline radio-primary">
					<input type="radio" id="top" name="button_position_vertical" value="top" <?php if($top){echo 'checked';} ?>>
					<label for="top"><?php echo _l('livesmart_from_top'); ?></label>
				</div>
				<div class="radio radio-inline radio-primary">
					<input type="radio" id="bottom" name="button_position_vertical" value="bottom" <?php if($bottom){echo 'checked';} ?>>
					<label for="bottom"><?php echo _l('livesmart_from_bottom'); ?></label>
				</div>
			</div>
			<div class="col-md-8">
				<?php echo render_input('livesmart_vertical_value', 'livesmart_vertical_value', $top ?? $bottom); ?>
			</div>
		</div>
	</div>
	<hr />
	<div class="form-group">
		<div class="row">
			<div class="col-md-4">
				<label for="button_position_horizontal" class="control-label"><?php echo _l('livesmart_horizontal'); ?></label>
				<br/>
				<div class="radio radio-inline radio-primary">
					<input type="radio" id="left" name="button_position_horizontal" value="left" <?php if($left){echo 'checked';} ?>>
					<label for="left"><?php echo _l('livesmart_from_left'); ?></label>
				</div>
				<div class="radio radio-inline radio-primary">
					<input type="radio" id="right" name="button_position_horizontal" value="right" <?php if($right){echo 'checked';} ?>>
					<label for="right"><?php echo _l('livesmart_from_right'); ?></label>
				</div>
			</div>
			<div class="col-md-8">
				<?php echo render_input('livesmart_horizontal_value', 'livesmart_horizontal_value', $left ?? $right); ?>
			</div>
		</div>
	</div>

</div>